//
//  PSMSlideshowImage.h
//  PSMSlideshow
//
//  Created by John Pannell on 9/13/06.
//  Copyright 2006 Positive Spin Media. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSMSlideshow.h"

@interface PSMSlideshowImage : NSObject {

    NSString                    *name;
    id                          sourceImage;   // is CGImageRef or NSImage
    PSMSlideshow                *slideshow;
    
    // fast image path support - for feeding to QC
    CVPixelBufferRef            fastImage;
    
    // ken burns animation -- state info
    float                       currentX;
    float                       currentY;
    float                       currentZ;
    float                       animationVectorX;
    float                       animationVectorY;
    float                       animationVectorZ;
    
}

// creation/destruction
// item can be NSImage, NSString (to specify a path name), NSURL, NSFileWrapper, CGImage, or PDFPage.
- (id)initWithSlideshowItem:(id)item forSlideshow:(PSMSlideshow *)sender;

// accessors
- (id)image;
- (CVPixelBufferRef)fastImage;
- (float)positionX;
- (float)positionY;
- (float)positionZ;

// functionality
- (void)animate;

@end
