//
//  PSMSlideshowInternalDataSource.h
//  PSMSlideshow
//
//  Created by John Pannell on 9/29/06.
//  Copyright 2006 Positive Spin Media. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "PSMSlideshowDataSource.h"

// for testing purposes to exercise the slideshow classes
#define kPSMStoreAsPath             0
#define kPSMStoreAsNSURL            1
#define kPSMStoreAsNSImage          2
#define kPSMStoreAsCGImage          3
#define kPSMStoreAsNSFileWrapper    4
#define kPSMStoreAsPDFPage          5


@interface PSMSlideshowInternalDataSource : NSObject <PSMSlideshowDataSource>{
    
    NSMutableArray          *images;

}

// creation/destruction
- (id)initWithFilePaths:(NSArray *)paths;
- (id)initWithTestPaths:(NSArray *)paths storageFormat:(int)value;   // for testing only - can specify format to store image data

// accessors

// formal protocol
- (id)slideshowItemAtIndex:(int)index;
- (int)numberOfSlideshowItems;

// informal protocol
- (NSString*)nameOfSlideshowItemAtIndex:(int)index;


@end
