//
//  WindowController.h
//  PSMSlideshow
//
//  Created by John Pannell on 9/15/06.
//  Copyright 2006 Positive Spin Media. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class PSMSlideshow;

@interface WindowController : NSWindowController {

    IBOutlet    NSDrawer            *configDrawer;
    IBOutlet    NSView              *configView;
    IBOutlet    NSView              *accessoryView;
    IBOutlet    NSButton            *includeSubfolders;
    PSMSlideshow                    *slideshow;
    NSToolbar                       *toolbar;
    
    // config UI
    IBOutlet    NSPopUpButton       *transitionPref;
    IBOutlet    NSPopUpButton       *directionPref;
    IBOutlet    NSSlider            *transitionDurationPref;
    IBOutlet    NSButton            *autoAdvancePref;
    IBOutlet    NSTextField         *displayDurationPref;
    IBOutlet    NSButton            *randomizeImagesPref;
    IBOutlet    NSButton            *repeatShowPref;
    IBOutlet    NSButton            *scaleToFillPref;
    IBOutlet    NSButton            *useKenBurnsEffectPref;
    
    NSArray                         *transitionNames;
    NSArray                         *directionOptions;
    
}

// slideshow actions
- (IBAction)rewind:(id)sender;
- (IBAction)pause:(id)sender;
- (IBAction)resume:(id)sender;
- (IBAction)showNextSlide:(id)sender;
- (IBAction)showPreviousSlide:(id)sender;

// toolbar
- (NSToolbarItem *)toolbar:(NSToolbar *)toolbar itemForItemIdentifier:(NSString *)itemIdentifier willBeInsertedIntoToolbar:(BOOL)flag;
- (NSArray *)toolbarDefaultItemIdentifiers:(NSToolbar*)toolbar;
- (NSArray *)toolbarAllowedItemIdentifiers:(NSToolbar*)toolbar;
- (IBAction)customizeToolbar:(id)sender;
- (IBAction)toggleToolbar:(id)sender;
- (BOOL)validateToolbarItem:(NSToolbarItem *)theItem;

// prefs
- (NSArray *)directionOptions;
- (void)setDirectionOptions:(NSArray *)options;
- (NSArray *)transitionNames;
- (void)setTransitionNames:(NSArray *)names;

- (IBAction)changeTransition:(id)sender;

@end
